Loading...
Searching...
No Matches
irr::scene::SMD3MeshBuffer Struct Reference

Holding Frame Data for a Mesh. More...

`#include <IAnimatedMeshMD3.h>`

Inheritance diagram for irr::scene::SMD3MeshBuffer:

## Public Attributes

core::array< s32 > | Indices
SMD3MeshHeader | MeshHeader
core::stringc | Shader
core::array< SMD3TexCoord > | Tex
core::array< SMD3Vertex > | Vertices

## Additional Inherited Members

Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.
Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Holding Frame Data for a Mesh.

Definition at line 140 of file IAnimatedMeshMD3.h.

## Member Data Documentation

## Indices

core::array< s32 > irr::scene::SMD3MeshBuffer::Indices

Definition at line 145 of file IAnimatedMeshMD3.h.

## MeshHeader

SMD3MeshHeader irr::scene::SMD3MeshBuffer::MeshHeader

Definition at line 142 of file IAnimatedMeshMD3.h.

## Shader

core::stringc irr::scene::SMD3MeshBuffer::Shader

Definition at line 144 of file IAnimatedMeshMD3.h.

## Tex

core::array< SMD3TexCoord > irr::scene::SMD3MeshBuffer::Tex

Definition at line 147 of file IAnimatedMeshMD3.h.

## Vertices

core::array< SMD3Vertex > irr::scene::SMD3MeshBuffer::Vertices

Definition at line 146 of file IAnimatedMeshMD3.h.

The documentation for this struct was generated from the following file:

- IAnimatedMeshMD3.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0